TestParse Struct Reference

`#include <parse.test.h>`

## Classes

struct | IOStream
struct | Lexer

## Public Types

enum | TokenId { Invalid, Number }
typedef wibble::Token< TokenId > | Token

## Public Member Functions

Test | lexer ()

## Member Typedef Documentation

## Token

typedef wibble::Token< TokenId > TestParse::Token

## Member Enumeration Documentation

## TokenId

enum TestParse::TokenId

Enumerator
Invalid |
Number |

## Member Function Documentation

## lexer()

Test TestParse::lexer | ( |  | ) |

inline

References assert_eq, wibble::Token< _Id >::data, wibble::Token< _Id >::id, and TestParse::Lexer::remove().

The documentation for this struct was generated from the following file:

- parse.test.h